Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.cci
Class DocumentDefinitionRecord

    java.lang.Object
      com.bea.document.internal.Document
          com.bea.connector.DocumentRecord
              com.bea.adapter.cci.DocumentDefinitionRecord

All Implemented Interfaces:
  com.bea.document.IDocument, Serializable, Cloneable, javax.resource.cci.Record

    public class DocumentDefinitionRecord

extends DocumentRecord
implements Serializable

This class encapsulates an IDocumentDefinition as a DocumentRecord. It allows an IDocumentDefinition to be returned from the XCCI layer, via the AbstractDocumentRecordInteraction.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.document.internal.Document
`m_verbose`

Constructor Summary
`DocumentDefinitionRecord(com.bea.document.IDocumentDefinition def)`

Method Summary
`com.bea.document.IDocumentDefinition` | `getDocumentDefinition()` Get the IDocumentDefinition for this document which describes the structure and usage of this type of document.

Methods inherited from class com.bea.connector.DocumentRecord
`clone, equals, getRecordName, getRecordShortDescription, hashCode, setRecordName, setRecordShortDescription, toString`

Methods inherited from class com.bea.document.internal.Document
`addAttribute, addAttribute, addDocumentData, addElement, addElement, addNode, ensureNamespaceDeclaration, ensureNamespaceDeclaration, ensureNoNamespaceDeclarations, ensureNoNamespaceDeclarations, forceParsed, fromXML, fromXML, fromXML, fromXML, fromXML, fromXML, generateNamespacePrefix, generateNamespacePrefix, getBooleanFrom, getBooleanFromFirst, getDateFrom, getDateFromFirst, getDateTimeFrom, getDateTimeFromFirst, getDocument, getDocumentData, getDocumentElement, getDocumentTypeName, getDoubleFrom, getDoubleFromFirst, getEncoding, getEntityResolver, getFirstNamespacePrefix, getGlobalAttributeNames, getGlobalElementNames, getIntegerFrom, getIntegerFromFirst, getPublicID, getRawXML, getRootElementName, getStringFrom, getStringFromFirst, getSubDocuments, getSystemID, getTimeFrom, getTimeFromFirst, getValidating, getVerbose, init, isParsed, main, removeDocumentData, resetContextNode, serializeDocumentType, serializeDocumentType, serializeElement, serializeElement, serializeElement, setBooleanIn, setBooleanInFirst, setContextNode, setContextNode, setContextNode, setDateIn, setDateInFirst, setDateTimeIn, setDateTimeInFirst, setDocumentData, setDocumentDefinition, setDocumentElement, setDocumentImp, setDocumentTypeName, setDoubleIn, setDoubleInFirst, setEncoding, setEntityResolver, setIntegerIn, setIntegerInFirst, setPerThreadEntityResolver, setPublicID, setStringIn, setStringInFirst, setSystemID, setTimeIn, setTimeInFirst, setupForParse, setValidating, setVerbose, toByteXML, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentDefinitionRecord

    public DocumentDefinitionRecord(com.bea.document.IDocumentDefinition def)

Method Detail

### getDocumentDefinition

    public com.bea.document.IDocumentDefinition getDocumentDefinition()

  Description copied from interface: `com.bea.document.IDocument`
  Get the IDocumentDefinition for this document which describes the structure and usage of this type of document.

  Specified by:
    `getDocumentDefinition` in interface `com.bea.document.IDocument`
  Overrides:
    `getDocumentDefinition` in class `com.bea.document.internal.Document`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD